> ## Documentation Index
> Fetch the complete documentation index at: https://developer.rocket.chat/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Omnichannel Contact

> Retrieve a single omnichannel contact by its unique `contactId`.

Required permission: `view-livechat-contact`.


## OpenAPI

````json GET /api/v1/omnichannel/contacts.get
{
  "openapi": "3.0.0",
  "info": {
    "version": "1.0.0",
    "title": "Omnichannel"
  },
  "servers": [
    {
      "url": "https://apiexplorer.support.rocket.chat"
    }
  ],
  "tags": [
    {
      "name": "Omnichannel Users"
    },
    {
      "name": "Omnichannel Agents"
    },
    {
      "name": "Omnichannel Monitors"
    },
    {
      "name": "Omnichannel Visitors"
    },
    {
      "name": "Omnichannel Contacts"
    },
    {
      "name": "Omnichannel Rooms"
    },
    {
      "name": "Omnichannel Departments"
    },
    {
      "name": "Omnichannel Custom Fields"
    },
    {
      "name": "Omnichannel Business Hours"
    },
    {
      "name": "Omnichannel Priorities"
    },
    {
      "name": "Omnichannel Tags"
    },
    {
      "name": "Omnichannel Units"
    },
    {
      "name": "SLA Policies"
    },
    {
      "name": "Canned Responses"
    },
    {
      "name": "Omnichannel Transcript"
    },
    {
      "name": "Omnichannel Statistics"
    },
    {
      "name": "Omnichannel Agent Stats"
    },
    {
      "name": "Omnichannel Dashboards"
    },
    {
      "name": "Reports"
    },
    {
      "name": "Omnichannel Inquiries"
    },
    {
      "name": "Omnichannel Webhooks"
    },
    {
      "name": "Livechat"
    },
    {
      "name": "Livechat Appearance"
    },
    {
      "name": "Livechat Triggers"
    },
    {
      "name": "Livechat Messages"
    },
    {
      "name": "Livechat Page Visited"
    }
  ],
  "paths": {
    "/api/v1/omnichannel/contacts.get": {
      "get": {
        "summary": "Get Omnichannel Contact",
        "tags": [
          "Omnichannel Contacts"
        ],
        "description": "Retrieve a single omnichannel contact by its unique `contactId`.\n\nRequired permission: `view-livechat-contact`.\n",
        "operationId": "get-api-v1-omnichannel-contacts.get",
        "parameters": [
          {
            "$ref": "#/components/parameters/AuthToken"
          },
          {
            "$ref": "#/components/parameters/UserId"
          },
          {
            "name": "contactId",
            "in": "query",
            "description": "The contact's unique ID.",
            "required": "true",
            "schema": {
              "type": "string",
              "example": "673c76df47a6c9b89dd263d8"
            }
          }
        ],
        "responses": {
          "200": {
            "description": "OK",
            "content": {
              "application/json": {
                "schema": {
                  "type": "object",
                  "properties": {
                    "contact": {
                      "type": "object",
                      "properties": {
                        "_id": {
                          "type": "string"
                        },
                        "createdAt": {
                          "type": "string"
                        },
                        "name": {
                          "type": "string"
                        },
                        "channels": {
                          "type": "array",
                          "items": {
                            "type": "object",
                            "properties": {
                              "name": {
                                "type": "string"
                              },
                              "visitor": {
                                "type": "object",
                                "properties": {
                                  "visitorId": {
                                    "type": "string"
                                  },
                                  "source": {
                                    "type": "object",
                                    "properties": {
                                      "type": {
                                        "type": "string"
                                      }
                                    }
                                  }
                                }
                              },
                              "blocked": {
                                "type": "boolean"
                              },
                              "verified": {
                                "type": "boolean"
                              },
                              "details": {
                                "type": "object",
                                "properties": {
                                  "type": {
                                    "type": "string"
                                  },
                                  "destination": {
                                    "type": "string"
                                  }
                                }
                              },
                              "lastChat": {
                                "type": "object",
                                "properties": {
                                  "_id": {
                                    "type": "string"
                                  },
                                  "ts": {
                                    "type": "string"
                                  }
                                }
                              },
                              "field": {
                                "type": "string"
                              },
                              "value": {
                                "type": "string"
                              },
                              "verifiedAt": {
                                "type": "string"
                              }
                            }
                          }
                        },
                        "customFields": {
                          "type": "object",
                          "properties": {
                            "social-number": {
                              "type": "string"
                            },
                            "address": {
                              "type": "string"
                            },
                            "zip-code": {
                              "type": "string"
                            }
                          }
                        },
                        "unknown": {
                          "type": "boolean"
                        },
                        "_updatedAt": {
                          "type": "string"
                        },
                        "lastChat": {
                          "type": "object",
                          "properties": {
                            "_id": {
                              "type": "string"
                            },
                            "ts": {
                              "type": "string"
                            }
                          }
                        },
                        "conflictingFields": {
                          "type": "array",
                          "items": {
                            "type": "object",
                            "properties": {}
                          }
                        },
                        "emails": {
                          "type": "array",
                          "items": {
                            "type": "object",
                            "properties": {
                              "address": {
                                "type": "string"
                              }
                            }
                          }
                        },
                        "contactManager": {
                          "type": "string"
                        },
                        "phones": {
                          "type": "array",
                          "items": {
                            "type": "object",
                            "properties": {}
                          }
                        }
                      }
                    },
                    "success": {
                      "type": "boolean"
                    }
                  }
                },
                "examples": {
                  "Example": {
                    "value": {
                      "contact": {
                        "_id": "673c76df47a6c9b89dd263d8",
                        "createdAt": "2024-11-19T11:30:39.71Z",
                        "name": "John Doe",
                        "channels": [
                          {
                            "name": "widget",
                            "visitor": {
                              "visitorId": "673c76df1e2e6feb77939c70",
                              "source": {
                                "type": "widget"
                              }
                            },
                            "blocked": "false",
                            "verified": "true",
                            "details": {
                              "type": "widget",
                              "destination": "example.com"
                            },
                            "lastChat": {
                              "_id": "ixnGsLNT8rTL9eYY3",
                              "ts": "2024-11-19T11:30:39.724Z"
                            },
                            "field": "email",
                            "value": "mail@example.com",
                            "verifiedAt": "2024-11-19T11:31:58.997Z"
                          }
                        ],
                        "customFields": {
                          "social-number": "123456-12345",
                          "address": "P.O. Box 123 3456 Home Rd. Somewhere in the world",
                          "zip-code": "123456-099"
                        },
                        "unknown": "false",
                        "_updatedAt": "2024-11-19T11:33:55.424Z",
                        "lastChat": {
                          "_id": "ixnGsLNT8rTL9eYY3",
                          "ts": "2024-11-19T11:30:39.724Z"
                        },
                        "conflictingFields": [],
                        "emails": [
                          {
                            "address": "mail@example.com"
                          }
                        ],
                        "contactManager": "cbTgcixmLxYSdFmmZ",
                        "phones": []
                      },
                      "success": "true"
                    }
                  }
                }
              }
            }
          },
          "400": {
            "description": "Bad Request",
            "content": {
              "application/json": {
                "schema": {
                  "type": "object",
                  "properties": {
                    "success": {
                      "type": "boolean"
                    },
                    "error": {
                      "type": "string"
                    },
                    "errorType": {
                      "type": "string"
                    }
                  }
                },
                "examples": {
                  "Required Parameter": {
                    "value": {
                      "success": "false",
                      "error": "error: must have required property 'contactId' [invalid-params]",
                      "errorType": "invalid-params"
                    }
                  },
                  "Empty contact": {
                    "value": {
                      "success": "false",
                      "error": "must pass \"isNotEmpty\" keyword validation [invalid-params]",
                      "errorType": "invalid-params"
                    }
                  }
                }
              }
            }
          },
          "401": {
            "$ref": "#/components/responses/authorizationError"
          },
          "403": {
            "$ref": "#/components/responses/permissionError"
          }
        }
      }
    }
  },
  "components": {
    "parameters": {
      "AuthToken": {
        "name": "X-Auth-Token",
        "in": "header",
        "description": "The `authToken` of the authenticated user.",
        "required": "true",
        "schema": {
          "type": "string"
        },
        "example": "RScctEHSmLGZGywfIhWyRpyofhKOiMoUIpimhvheU3f"
      },
      "UserId": {
        "name": "X-User-Id",
        "in": "header",
        "description": "The `userId` of the authenticated user.",
        "required": "true",
        "schema": {
          "type": "string"
        },
        "example": "rbAXPnMktTFbNpwtJ"
      }
    },
    "responses": {
      "authorizationError": {
        "description": "Unauthorized",
        "content": {
          "application/json": {
            "schema": {
              "type": "object",
              "properties": {
                "status": {
                  "type": "string"
                },
                "message": {
                  "type": "string"
                }
              }
            },
            "examples": {
              "Authorization Error": {
                "value": {
                  "status": "error",
                  "message": "You must be logged in to do this."
                }
              }
            }
          }
        }
      },
      "permissionError": {
        "description": "Forbidden",
        "content": {
          "application/json": {
            "schema": {
              "type": "object",
              "properties": {
                "success": {
                  "type": "boolean"
                },
                "error": {
                  "type": "string"
                }
              }
            },
            "examples": {
              "Permission Error": {
                "value": {
                  "success": "false",
                  "error": "User does not have the permissions required for this action [error-unauthorized]"
                }
              },
              "Unauthorized": {
                "value": {
                  "success": "false",
                  "error": "unauthorized"
                }
              }
            }
          }
        }
      }
    }
  }
}
````

